Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.automate
Class RemoteIdentificationRule

    java.lang.Object
      com.sshtools.common.automate.RemoteIdentificationRule

public class RemoteIdentificationRule
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`RemoteIdentificationRule()`

Method Summary
`protected void` | `addExpression(java.lang.String operation, java.lang.String value)` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`int` | `getPriority()` DOCUMENT ME!
`protected void` | `setName(java.lang.String name)` DOCUMENT ME!
`protected void` | `setPriority(int priority)` DOCUMENT ME!
`boolean` | `testRule(java.lang.String identification)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteIdentificationRule

    public RemoteIdentificationRule()

Method Detail

### testRule

    public boolean testRule(java.lang.String identification)

  DOCUMENT ME!

  Parameters:
    `identification` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### setPriority

    protected void setPriority(int priority)

  DOCUMENT ME!

  Parameters:
    `priority` - DOCUMENT ME!

### addExpression

    protected void addExpression(java.lang.String operation,
                                 java.lang.String value)
                          throws UnsupportedRuleException

  DOCUMENT ME!

  Parameters:
    `operation` - DOCUMENT ME!
    `value` - DOCUMENT ME!
  Throws:
    `UnsupportedRuleException` - DOCUMENT ME!

### setName

    protected void setName(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPriority

    public int getPriority()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD